For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get loyalty program member details for customer

Get loyalty program member details for customer.

get
/tenants/{tenantUid}/customers/{customerUid}/loyalty
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
addressstringRequired
citystringRequired
companyNamestringRequired
countryCodestringRequired

ISO 3166-1: 2 characters representation of country

createdAtstring · date-timeRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
customerTypestring · enumRequiredPossible values:
emailstringRequired
externalIdstringRequired
firstnamestringRequired
lastModifiedAtstring · date-timeRequired
lastnamestringRequired
ledgerNumberstringRequired

Ledger number must be a valid number with possible leading zeros

mobilestringRequired
postalCodestringRequired
pricelistUidstringRequiredPattern: ^[A-Za-z0-9-_]*
vatNumberstringRequired

VAT identification number for value added tax reporting purposes.

originstringRequired
get/tenants/{tenantUid}/customers/{customerUid}/loyalty
GET /v2/tenants/{tenantUid}/customers/{customerUid}/loyalty HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "address": "text",
  "city": "text",
  "companyName": "text",
  "countryCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "customerUid": "text",
  "customerType": "COMPANY",
  "email": "text",
  "externalId": "text",
  "firstname": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastname": "text",
  "ledgerNumber": "text",
  "mobile": "text",
  "postalCode": "text",
  "pricelistUid": "text",
  "vatNumber": "text",
  "origin": "text"
}

Last updated

Was this helpful?